Available in VPC
Get the list of Object Storage buckets available to use in Cloud DB for PostgreSQL.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vpostgresql/v2/getCloudPostgresqlBucketList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
cloudPostgresqlServerInstanceNo |
String | Optional | Cloud DB for PostgreSQL server instance number
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/getCloudPostgresqlBucketList
?regionCode=KR
&cloudPostgresqlServerInstanceNo=****925' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See CloudPostgresqlBucketList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.
Response example
The following is a sample response.
- If
responseFormatType=json
{
"getCloudPostgresqlBucketListResponse": {
"totalRows": 2,
"cloudPostgresqlBucketList": [
{
"bucketName": "bucket***"
},
{
"bucketName": "bucket***"
}
],
"requestId": "7b000498-****-****-****-b357e6916bc8",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<getCloudPostgresqlBucketListResponse>
<requestId>7b000498-****-****-****-b357e6916bc8</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>2</totalRows>
<cloudPostgresqlBucketList>
<cloudPostgresqlBucket>
<bucketName>bucket***</bucketName>
</cloudPostgresqlBucket>
<cloudPostgresqlBucket>
<bucketName>bucket***</bucketName>
</cloudPostgresqlBucket>
</cloudPostgresqlBucketList>
</getCloudPostgresqlBucketListResponse>